'서버구축'에 해당되는 글 208건

  1. 2016.05.06 Apache Struts 2 보안 업데이트
  2. 2016.04.20 2016년 4월 Oracle Critical Patch Update
  3. 2016.04.16 Samba 취약점 보안 업데이트
2016.05.06 19:20

Apache Struts 2 보안 업데이트

□ 개요
o Apache Struts 2에서 원격 코드 실행 취약점 등을 보완한 보안 업데이트 발표[1][2]
o 영향 받는 버전의 사용자는 최신버전으로 업데이트 권고

□ 설명
o 원격 코드 실행 취약점(CVE-2016-3081, CVE-2016-3082) [3][4]

□ 영향 받는 버전
o Struts 2.0.0 ~ Struts 2.3.28 (2.3.20.3 및 2.3.24.3 제외)

□ 해결 방안
o Struts 2.3.20.3, 2.3.24.3, 2.3.28.1로 업데이트

□ 기타 문의사항
o 한국인터넷진흥원 인터넷침해대응센터: 국번 없이 118

[참고사이트]
[1 ]http://struts.apache.org/download.cgi#struts23281
[2] http://struts.apache.org/docs/version-notes-23281.html
[3] http://struts.apache.org/docs/s2-031.html
[4] http://struts.apache.org/docs/s2-032.html



Trackback 0 Comment 0
2016.04.20 20:10

2016년 4월 Oracle Critical Patch Update

□ 개요
 o 오라클社 CPU에서 자사 제품의 보안취약점 203개에 대한 패치를 발표[1][2][3]
     ※ CPU(Critical Patch Update) : 오라클 중요 보안 업데이트
 o 영향 받는 버전의 사용자는 악성코드 감염에 취약할 수 있으므로, 아래 해결방안에 따라 최신버전으로 업데이트 권고

□ 영향 받는 소프트웨어
 ㅇ Oracle Database Server, version(s) 11.2.0.4, 12.1.0.1, 12.1.0.2
 ㅇ Oracle Database Server, version(s) 11.2.0.4, 12.1.0.1, 12.1.0.2
 ㅇ Oracle API Gateway, version(s) 11.1.2.3.0, 11.1.2.4.0
 ㅇ Oracle BI Publisher, version(s) 12.2.1.0.0
 ㅇ Oracle Business Intelligence Enterprise Edition, version(s) 11.1.1.7.0, 11.1.1.9.0, 12.2.1.0.0
 ㅇ Oracle Exalogic Infrastructure, version(s) 1.0, 2.0
 ㅇ Oracle GlassFish Server, version(s) 2.1.1
 ㅇ Oracle HTTP Server, version(s) 12.1.2.0, 12.1.3.0
 ㅇ Oracle iPlanet Web Proxy Server, version(s) 4.0
 ㅇ Oracle iPlanet Web Server, version(s) 7.0
 ㅇ Oracle OpenSSO, version(s) 3.0-0.7
 ㅇ Oracle Outside In Technology, version(s) 8.5.0, 8.5.1, 8.5.2
 ㅇ Oracle Traffic Director, version(s) 11.1.1.7.0, 11.1.1.9.0
 ㅇ Oracle Tuxedo, version(s) 12.1.1.0
 ㅇ Oracle WebCenter Sites, version(s) 11.1.1.8.0, 12.2.1
 ㅇ Oracle WebLogic Server, version(s) 10.3.6, 12.1.2, 12.1.3, 12.2.1
 ㅇ Oracle Application Testing Suite, version(s) 12.4.0.2, 12.5.0.2
 ㅇ OSS Support Tools Oracle Explorer, version(s) 8.11.16.3.8
 ㅇ Oracle E-Business Suite, version(s) 12.1.1, 12.1.2, 12.1.3, 12.2.3, 12.2.4, 12.2.5
 ㅇ Oracle Agile Engineering Data Management, version(s) 6.1.3.0, 6.2.0.0
 ㅇ Oracle Agile PLM, version(s) 9.3.1.1, 9.3.1.2, 9.3.2, 9.3.3
 ㅇ Oracle Complex Maintenance, Repair, and Overhaul, version(s) 12.1.1, 12.1.2, 12.1.3
 ㅇ Oracle Configurator, version(s) 12.1, 12.2
 ㅇ Oracle Transportation Management, version(s) 6.1, 6.2
 ㅇ PeopleSoft Enterprise HCM, version(s) 9.1, 9.2
 ㅇ PeopleSoft Enterprise HCM ePerformance, version(s) 9.2
 ㅇ PeopleSoft Enterprise PeopleTools, version(s) 8, 8.53, 8.54, 8.55, 54
 ㅇ PeopleSoft Enterprise SCM, version(s) 9.1, 9.2
 ㅇ JD Edwards EnterpriseOne Tools, version(s) 9.1, 9.2
 ㅇ Siebel Applications, version(s) 8.1.1, 8.2.2
 ㅇ Oracle Communications User Data Repository, version(s) 10.0.1
 ㅇ Oracle Retail MICROS ARS POS, version(s) 1.5
 ㅇ Oracle Retail MICROS C2, version(s) 9.89.0.0
 ㅇ Oracle Retail Xstore Point of Service, version(s) 5.0, 5.5, 6.0, 6.5, 7.0, 7.1
 ㅇ Oracle Life Sciences Data Hub, version(s) 2.1
 ㅇ Oracle FLEXCUBE Direct Banking, version(s) 12.0.2, 12.0.3
 ㅇ Oracle Java SE, version(s) 6u113, 7u99, 8u77
 ㅇ Oracle Java SE Embedded, version(s) 8u77
 ㅇ Oracle JRockit, version(s) R28.3.9
 ㅇ Fujitsu M10-1, M10-4, M10-4S Servers, version(s) prior to XCP 2290
 ㅇ Oracle Ethernet Switch ES2-72, Oracle Ethernet Switch ES2-64, version(s) prior to 2.0.0.6
 ㅇ Solaris, version(s) 10, 11.3
 ㅇ Solaris Cluster, version(s) 4.2
 ㅇ SPARC Enterprise M3000, M4000, M5000, M8000, M9000 Servers, version(s) prior to XCP 1121
 ㅇ Sun Storage Common Array Manager, version(s) 6.9.0
 ㅇ Oracle VM VirtualBox, version(s) prior to 4.3.36, prior to 5.0.18
 ㅇ Sun Ray Software, version(s) 11.1
 ㅇ MySQL Enterprise Monitor, version(s) 3.0.25 and prior, 3.1.2 and prior
 ㅇ MySQL Server, version(s) 5.5.48 and prior, 5.6.29 and prior, 5.7.11 and prior
 ㅇ Oracle Berkeley DB, version(s) 11.2.5.0.32, 11.2.5.1.29, 11.2.5.2.42, 11.2.5.3.28, 12.1.6.0.35, 12.1.6.1.26
 ㅇ Oracle Linux, version(s) 5,6,7
     ※ 영향받는 시스템의 상세 정보는 참고사이트[1][2][3]를 참조

□ 해결방안
 o "Oracle Critical Patch Update - April 2016" 문서 및 패치사항을 검토하고 벤더사 및 유지보수업체와 협의/검토 후 패치 적용[1][2][3]
 o JAVA SE 사용자는 설치된 제품의 최신 업데이트를 다운로드[4] 받아 설치하거나, Java 업데이트 자동 알림 설정을 권고[5]

□ 기타 문의사항
 o 한국인터넷진흥원 인터넷침해대응센터: 국번없이 118

[참고사이트]
[1] http://www.oracle.com/technetwork/security-advisory/cpuapr2016v3-2985753.html
[2] http://www.oracle.com/technetwork/topics/security/whatsnew/bulletinapr2016-2952098.html
[3] http://www.oracle.com/technetwork/topics/security/linuxbulletinapr2016-2952096.html
[4] http://www.oracle.com/technetwork/java/javase/downloads/index.html
[5] http://www.java.com/ko/download/help/java_update.xml


Trackback 0 Comment 0
2016.04.16 19:24

Samba 취약점 보안 업데이트

□ 개요
 o Samba 소프트웨어에서 발생하는 취약점을 해결한 보안 업데이트를 발표[1]
 o 낮은 버전 사용자는 서비스 거부 공격 및 중간자 공격에 취약할 수 있어 해결방안에 따라 최신 버전으로 업데이트 권고
 
□ 설명
 · SAMR과 LSAD 프로토콜에서 발생한 중간자 공격 취약점(CVE-2016-2118)
   ※ Badlock으로 명명된 취약점[1]
 · DCE-RPC Code 에러로 서비스 거부를 유발할 수 있는 취약점(CVE-2015-5370)
 · NTLMSSP 인증 중간자 공격 취약점(CVE-2016-2110)
 · NETLOGON 서비스 스푸핑 취약점(CVE-2016-2111)
 · LDAP 서버 및 클라이언트 중간자 공격 취약점(CVE-2016-2112)
 · TLS 인증서의 유효성을 검증하지 않는 취약점(CVE-2016-2113)
 · server signing 옵션의 부재로 발생하는 취약점(CVE-2016-2114)
 · SMB IPC 트래픽 중간자 공격 취약점(CVE-2016-2115)
 
□ 영향 받는 소프트웨어

소프트웨어명영향받는 버전
Samba3.6.x
4.0.x
4.1.x
4.2.0-4.2.9
4.3.0-4.3.6
4.4.0

 
□ 해결 방안
 o Samba 4.1 이전 사용자
   - Samba 4.1 이전 사용자는 4.2.10버전 또는 4.2.11버전으로 업데이트 적용
 o Samba 4.2.0-4.2.9 사용자
   - Samba 4.2.0-4.2.9 사용자는 4.2.10버전 또는 4.2.11버전으로 업데이트 적용
 o Samba 4.3.0-4.3.6 사용자
   - Samba 4.3.0-4.3.6 사용자는 4.3.7버전 또는 4.3.8버전으로 업데이트 적용
 o Samba 4.4.0 사용자
   - Samba 4.4.0 사용자는 4.4.1버전 또는 4.4.2버전으로 업데이트 적용
 o Samba History(https://www.samba.org/samba/history)에 방문하여 각 버전에 맞는 최신 버전을 다운로드 받아 설치[2]

□ 기타 문의사항
 o 한국인터넷진흥원 인터넷침해대응센터: 국번 없이 118
 
[참고사이트]
[1] http://badlock.org/
[2] https://www.samba.org/samba/history


Trackback 0 Comment 0